Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Enum CompilePhase

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.control.CompilePhase

    public enum CompilePhase
    extends Enum

The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.

Authors:
  Hamlet D'Arcy

Field Summary
`static CompilePhase[]` | `phases` The phases of the GroovyCompiler.

Method Summary
`int` | `getPhaseNumber()` Returns the underlieng integer Phase number.

Methods inherited from class Enum
name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### phases

    public static CompilePhase[] phases

  The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.
  Authors:
    Hamlet D'Arcy

Method Detail

### getPhaseNumber

    public int getPhaseNumber()

  Returns the underlieng integer Phase number.

Copyright © 2003-2010 The Codehaus. All rights reserved.